#!/bin/bash

zp=your-zfs-pool-name-here

 ## OR

zp=$1 # pass arg (poolname) to script

printf `date +%H:%M:%S`" ...waiting for $zp resilver to complete..."
waitresilver=1
while [ $waitresilver -gt 0 ];do 
  waitresilver=`zpool status -v $zp |grep -c resilvering`
  sleep 5
done 
echo  `date +%H:%M:%S`' - DONE - Syncing to be sure'; time sync;

 ## do your next thing after this line

printf `date +%H:%M:%S`" - Beginning scrub of $zp"

zpool scrub $zp
